CRAN Package Check Results for Package gwpcormapper

Last updated on 2021-09-22 07:51:19 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.2 33.40 107.00 140.40 OK
r-devel-linux-x86_64-debian-gcc 0.1.2 24.45 79.01 103.46 OK
r-devel-linux-x86_64-fedora-clang 0.1.2 181.37 NOTE
r-devel-linux-x86_64-fedora-gcc 0.1.2 163.97 NOTE
r-devel-windows-x86_64 0.1.2 31.00 97.00 128.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.1.2 ERROR
r-patched-linux-x86_64 0.1.2 19.87 98.94 118.81 OK
r-patched-solaris-x86 0.1.2 226.40 NOTE
r-release-linux-x86_64 0.1.2 24.44 99.51 123.95 OK
r-release-macos-arm64 0.1.2 NOTE
r-release-macos-x86_64 0.1.2 NOTE
r-release-windows-ix86+x86_64 0.1.2 76.00 136.00 212.00 OK
r-oldrel-macos-x86_64 0.1.2 NOTE
r-oldrel-windows-ix86+x86_64 0.1.2 53.00 134.00 187.00 OK

Check Details

Version: 0.1.2
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘DT’ ‘attempt’ ‘corpcor’ ‘glue’ ‘htmltools’ ‘pkgload’ ‘processx’
     ‘tools’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.1.2
Check: package dependencies
Result: ERROR
    Packages required but not available: 'golem', 'sf', 'leaflet'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT